// init_ptr.cpp -- initialize a pointer
#include <iostream>
using namespace std;
int main()
{
    int higgens = 5;
    int * pi = &higgens;

    cout << "Value of higgens = " << higgens
         << "; Address of higgens = " << &higgens << "\n";
    cout << "Value of *pi = " << *pi
         << "; Value of pi = " << pi << "\n";
    return 0;
}
